How to update Oot3DHax 10.2 -> 10.3 ?

Discussion in '3DS - Homebrew Development and Emulators' started by bayer59, Nov 14, 2015.

  1. bayer59
    OP

    bayer59 Member

    Newcomer
    29
    0
    Nov 14, 2015
    France
    Hello everyone,

    Sorry for my english and sorry if this question is already answered ! I didn't find a tutorial which helps me !

    I have the Oot3DHax working on 10.2 with hax 2.1. I want to update my firmware to 10.3, so before, I know I must inject a new savefile with the good payload. The problem is Oot3DHax is the only hax I have.

    With the previous method I used, I precise that the firmware I want to use is NEW 3DS 10-3-0 EUR. It searchs N3DS_E_2048_9221 (not the good one I think) and I have an error with the download.

    As Smea updated his starter kit, I've tried it but at the beginning of the launch of "sploit_installer-oot3dhax", I have "Failed to initialize romfs for this application(romfsInit() Error code : C8804478"

    Is anybody can help me please ?

    Thanks in advance !!!
     


  2. fmkid

    fmkid Just another GBATemp's random guy

    Member
    1,048
    351
    Apr 23, 2015
    Colombia
    AFAIK, problem you have is because you need to delete previously the saves onto the OoT cartridge/game before to (re)install the exploit files. Then, you could access to HBL, then delete the savefiles (with svdt could be) and later use the sploit-installer. But, also you need to know there is a little risk of running out of this exploit doing that I say. Recommended way is doing through another safer way (as using an alternative exploit or another console with access to HBL too).
     
    Last edited by fmkid, Nov 14, 2015
  3. Ammako

    Ammako GBAtemp Guru

    Member
    6,404
    3,535
    Dec 22, 2009
    Canada
    https://smealum.github.io/3ds/

    Go down to otherapp/ropbin payloads

    Enter NEW 10.3.0-28 E and click [Download otherapp]

    Get the file it downloads and place it on your microSD card. Name it "payload.bin" (without the quotes :P)

    Get svdt, run it, select Ocarina of Time as target application.

    Delete the payload.bin from your Ocarina of Time cartridge (move over to it with the d-pad and press X, Select to confirm)

    Move back over to your microSD's contents with the d-pad, locate the payload.bin file you downloaded earlier, and press Y to copy it over to your cartridge.

    After that, it probably won't work anymore for 10.2 until you update to 10.3

    Make sure you got the NEW 10.3.0-28E payload on your microSD and properly named as payload.bin before you delete the one on the cartridge, because if you delete the one on the cartridge and you don't have another one to replace it with, well, you're in trouble.
     
    marc00077 likes this.
  4. bayer59
    OP

    bayer59 Member

    Newcomer
    29
    0
    Nov 14, 2015
    France
    Hello !

    Thanks for your answers !
    I tried what you explained, but unfortunately, it hasn't work and I lost everything.
    After having delete the payload.bin, I have pressed Y to copy the new one, but svdt gave me an error message, so svdt has crashed, making me return to HBL. So I tried to launch again svdt, but only a white screen without any possibility to do anything ...

    I don't know what I've not done correctly !
    I used the last version of svdt => https://github.com/meladroit/svdt/releases
     
  5. Ammako

    Ammako GBAtemp Guru

    Member
    6,404
    3,535
    Dec 22, 2009
    Canada
    What was the error?

    You wouldn't happen to have had another save file along with the *hax save file, did you?
    Because if you did, then you wouldn't have had enough space left on the cartridge to transfer the payload to it :/ I should have told you to remove any save files other than the *hax save file, but I went under the assumption that if you were using oot3dhax, that you only had the *hax on it.

    As you are on new 3DS, you should be able to use smashhax, if you can get a linux distribution working with a wi-fi card. Otherwise, if you know someone else with a new 3DS, if they are under 10.2 they should be able to use browserhax to re-install oot3dhax (or under 9.9, if they have an O3DS.)

    Otherwise, if you have an original DS or a DS Lite with a DS flashcard, it is possible to re-install the exploit from there, but you will have to cut off the little tab on the side of your OoT3D cartridge so that it can fit inside the DS. There is a DS homebrew that -should- let you restore one of the *hax save file images to the cartridge.
     
    Last edited by Ammako, Nov 15, 2015
  6. bayer59
    OP

    bayer59 Member

    Newcomer
    29
    0
    Nov 14, 2015
    France
    Hello Pingouin7,

    Thanks for your help. I don't remember the error, juste multiple messages which tell the same thing and recommend me to press start to quit svdt.
    On the cartridge, they were payload.bin, save00.bin and save03.bin. But at the launch of Oot, there was only the hax save ...

    I have a DS Flashcard, but no DS, only my 3ds. I don't have Smash. I will see if my friends have a N3DS under 10.2

    Thanks !
     
  7. Ammako

    Ammako GBAtemp Guru

    Member
    6,404
    3,535
    Dec 22, 2009
    Canada
    The demo version of Smash can be used, too.
    (Also, anyone you know who would have a regular DS or a Lite, that would work too. Or maybe any store that has used DS/Lites who wouldn't mind letting you borrow one for a few moments so you can do that.)
     
  8. bayer59
    OP

    bayer59 Member

    Newcomer
    29
    0
    Nov 14, 2015
    France
    I don't have the demo on my 3DS. To access Eshop, I must update it ... right ?

    — Posts automatically merged - Please don't double post! —

    forget it, this kind of hax seems too complicated for me !!!
     
  9. Ammako

    Ammako GBAtemp Guru

    Member
    6,404
    3,535
    Dec 22, 2009
    Canada
    Yeah, but you were going to update to 10.3 already, no?
     
  10. Favna

    Favna #PCMasterRace

    Member
    798
    374
    Sep 12, 2009
    Netherlands
    Demo version of smash actually can NOT be used because it doesn't have SD card access and custom building with payload url has a lot of issues

    source is an issue on yellows8 github
     
  11. bayer59
    OP

    bayer59 Member

    Newcomer
    29
    0
    Nov 14, 2015
    France
    Yes, I would like to update but only if the hax is ok. As I ruined it, I will update and will try with another 3ds !
     
  12. jrk190

    jrk190 GBAtemp Advanced Fan

    Member
    724
    110
    Jul 5, 2009
    United States
    North Carolina
    If I install oothax, do I need to select a newer firmware before I update, or my current firmware?
     
  13. fmkid

    fmkid Just another GBATemp's random guy

    Member
    1,048
    351
    Apr 23, 2015
    Colombia
    If you go to update your console, then you must select and install the newer firmware payload.
     
  14. jrk190

    jrk190 GBAtemp Advanced Fan

    Member
    724
    110
    Jul 5, 2009
    United States
    North Carolina
    So what's the newest firmware payload I select for a NA N3DS?
     
  15. fmkid

    fmkid Just another GBATemp's random guy

    Member
    1,048
    351
    Apr 23, 2015
    Colombia
    New 10.3.0-28 U (repeat, if you want to update your console to the latest FW).
     
  16. jrk190

    jrk190 GBAtemp Advanced Fan

    Member
    724
    110
    Jul 5, 2009
    United States
    North Carolina
    And that'll only work on 10.3? I do want to update it, since I'm getting a 2DS on 9.4 just for homebrew!
     
  17. fmkid

    fmkid Just another GBATemp's random guy

    Member
    1,048
    351
    Apr 23, 2015
    Colombia
    OK, I see... Then, you really don't have any problem (in case of something unexpected happens), because you already have an alternative method to install the exploit. And, yes, only for 10.3.

    — Posts automatically merged - Please don't double post! —

    And, BTW, what's the actual FW of your N3DS console?
     
  18. jrk190

    jrk190 GBAtemp Advanced Fan

    Member
    724
    110
    Jul 5, 2009
    United States
    North Carolina
    Ok, so I'm going to wipe OOT3D, launch menuhax, choose 10.3.0.28-U, install, then test it. Then I'll update.

    — Posts automatically merged - Please don't double post! —

    It's on 10.1.0-27U

    — Posts automatically merged - Please don't double post! —

    It's on 10.1.0-27U
     
  19. fmkid

    fmkid Just another GBATemp's random guy

    Member
    1,048
    351
    Apr 23, 2015
    Colombia
    But before you do it, remember this: If you update your console to FW10.3 you'll lose access to some exploits like MenuHax and BrowserHax, but, in change of, you'll win access to eShop and another online services again. Are you sure of this?
     
    Ammako likes this.
  20. jrk190

    jrk190 GBAtemp Advanced Fan

    Member
    724
    110
    Jul 5, 2009
    United States
    North Carolina
    Yeah, I'm not too worried about it.